# Copyright (c) 2002 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: runner.py,v 1.9 2003/06/19 18:41:22 itamar Exp $


"""Process a batch command.

Read a pickle from stdin, which is assumed to be a BatchCommand
object. Then call the object's run() method, and pickle the
result and write it to stdout.
"""

import sys
import os
import cPickle

working_dir = os.path.abspath(os.path.join(os.path.dirname(sys.argv[0]), 
    '..'))
os.chdir(working_dir)
sys.path.insert(0, working_dir)

from batchprocessor import error

sys.stdout = sys.stderr

# set binary mode on stdin/out
try:
    import msvcrt
    msvcrt.setmode(sys.__stdout__.fileno(), os.O_BINARY)
    msvcrt.setmode(sys.__stdin__.fileno(), os.O_BINARY)
except ImportError:
    pass

def stillAlive():
    """Notify our parent we're still alive."""
    sys.__stdout__.write("\x00")
    sys.__stdout__.flush()

stillAlive()

# load command
command = cPickle.load(sys.__stdin__)

# run it
try:
    result = command.run(stillAlive)
except:
    result = error.BatchError()

# write result
cPickle.dump(result, sys.__stdout__)
sys.__stdout__.flush()
fd = sys.__stdout__.fileno()
sys.__stdout__.close()
os.close(fd)

# exit
sys.exit(0)
